org.apache.activemq.artemis.jndi

## Class LazyCreateContext

- java.lang.Object
- - org.apache.activemq.artemis.jndi.ReadOnlyContext
  - - org.apache.activemq.artemis.jndi.LazyCreateContext

- All Implemented Interfaces:
    Serializable, Context

      public abstract class LazyCreateContext
      extends ReadOnlyContext

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.jndi.ReadOnlyContext

      `bindings, environment, NAME_PARSER, SEPARATOR, treeBindings`

    - ### Fields inherited from interface javax.naming.Context

      `APPLET, AUTHORITATIVE, BATCHSIZE, DNS_URL, INITIAL_CONTEXT_FACTORY, LANGUAGE, OBJECT_FACTORIES, PROVIDER_URL, REFERRAL, SECURITY_AUTHENTICATION, SECURITY_CREDENTIALS, SECURITY_PRINCIPAL, SECURITY_PROTOCOL, STATE_FACTORIES, URL_PKG_PREFIXES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyCreateContext()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract Object` | `createEntry(String name)`
    `Object` | `lookup(String name)`

    - ### Methods inherited from class org.apache.activemq.artemis.jndi.ReadOnlyContext

      `addToEnvironment, bind, bind, close, composeName, composeName, createSubcontext, createSubcontext, destroySubcontext, destroySubcontext, freeze, getEnvironment, getNameInNamespace, getNameParser, getNameParser, internalBind, list, list, listBindings, listBindings, lookup, lookupLink, lookupLink, newContext, rebind, rebind, removeFromEnvironment, rename, rename, unbind, unbind`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyCreateContext

          public LazyCreateContext()

  - ### Method Detail

    - #### lookup

          public Object lookup(String name)
                        throws NamingException

      Specified by:
        `lookup` in interface `Context`
      Overrides:
        `lookup` in class `ReadOnlyContext`
      Throws:
        `NamingException`

    - #### createEntry

          protected abstract Object createEntry(String name)

Copyright © 2018 The Apache Software Foundation. All rights reserved.